How to retrieve status for a usage report request by ID
The Report Creation Async API retrieves the status of a specific usage report request and returns it in the response. When the status report completes, you can download it using the download URL from the email notification sent by the response.
This sample request uses org123456789 as the realmId and REPORT-1001 as the reportId .
GET https://usage.bam.api.here.com/usage/realms/org123456789/reports/REPORT-1001/outputParameters
The parameters shown here are only those required for this sample request. For a complete list of parameters, see the Cost Management Usage API v2 API Reference.
The response groups usage search results into pages. A page is a set of usage records presented in a single view. You can customize search results view by using offset and limit parameters. The offset determines the current page number on the view, and limit restricts search result counts to a specified number.
| realmId required | string [ 5 ... 30 ] characters. Example: org123456789 Your org ID. |
| reportId required | string [ 11 ... 30 ] characters. Example: REPORT-1001 The ID of the report you want to view. |
Header parameters
| X-Request-ID | string User-provided token that to trace a request or a group of requests sent to the service. |
| X-Correlation-ID required | string Auto-generated ID, which uniquely identifies the request, available in the response. When contacting the support team with an inquiry regarding a specific request, provide the value of this header to help troubleshoot the issue. |
Response HTTP 200
The request returns the following sample response which has a single record containing the status of the report request:
{
"id": "REPORT-1001",
"status": "inProgress",
"created": "2022-03-01'T'00:00:00",
"parameters":
{
"realm": "org123456789",
"startDate": "2022-03-01",
"endDate": "2022-07-01",
"emailId": "[email protected]"
}
}Updated last month